Set client tool access
Set access control for a specific client on a tool.
curl -X PUT "https://api.mythic-analytics.com/api/v1/mcp/tools/example_string/access/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"allowed": true
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/mcp/tools/example_string/access/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"allowed": true
}
response = requests.put(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/mcp/tools/example_string/access/example_string", {
method: "PUT",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"allowed": true
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"allowed": true
}`)
req, err := http.NewRequest("PUT", "https://api.mythic-analytics.com/api/v1/mcp/tools/example_string/access/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/mcp/tools/example_string/access/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Put.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"allowed": true
}'
response = http.request(request)
puts response.body
{
"success": true
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
PUT
/mcp/tools/{id}/access/{clientId}PUT
Bearer Token
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYAPI Key (query: admin_key)
admin_keystring
RequiredAlternative to the Authorization header for server-to-server scenarios.
Alternative to the Authorization header for server-to-server scenarios.
path
idstring
RequiredMCP tool identifier.
path
clientIdstring
RequiredClient identifier.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
allowedboolean
RequiredWhether the client can use the tool.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
query
admin_keystring
RequiredAPI Key for authentication. Alternative to the Authorization header for server-to-server scenarios.
Path Parameters
idstring
RequiredMCP tool identifier.
clientIdstring
RequiredClient identifier.
Body
application/json
allowedboolean
RequiredWhether the client can use the tool.
Responses
successboolean
successboolean
datastring
errorstring
countinteger
successboolean
datastring
errorstring
countinteger
Was this page helpful?
Last updated Feb 26, 2026
Built with Documentation.AI